Python SDK
import httpx
resp = httpx.get(
"https://api.decimal.ai/api/v1/datasets",
headers={"Authorization": "Bearer dai_sk_..."},
)
resp.raise_for_status()
for ds in resp.json()["datasets"]:
print(ds["name"], ds["row_count"])decimalai datasets listconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasets": [
{
"id": "ds_001",
"name": "travel-sft-v2",
"dataset_type": "sft",
"description": "Successful flight booking traces.",
"training_target_agent": "travel-planner",
"current_version_id": "dv_001",
"manifest_id": "mfst_001",
"created_at": "2026-04-01T12:00:00Z",
"row_count": 1250,
"version_count": 1
}
],
"total": 3
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}datasets
List datasets
List datasets, optionally filtered by target agent.
GET
/
api
/
v1
/
datasets
Python SDK
import httpx
resp = httpx.get(
"https://api.decimal.ai/api/v1/datasets",
headers={"Authorization": "Bearer dai_sk_..."},
)
resp.raise_for_status()
for ds in resp.json()["datasets"]:
print(ds["name"], ds["row_count"])decimalai datasets listconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasets": [
{
"id": "ds_001",
"name": "travel-sft-v2",
"dataset_type": "sft",
"description": "Successful flight booking traces.",
"training_target_agent": "travel-planner",
"current_version_id": "dv_001",
"manifest_id": "mfst_001",
"created_at": "2026-04-01T12:00:00Z",
"row_count": 1250,
"version_count": 1
}
],
"total": 3
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Headers
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0When true, include datasets targeting platform-harness fixture agents (selftest-, __, cuj*, …). Off by default.
Cookies
Response
Successful Response
⌘I